#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global	commit 7ca5a51b29310178a94d082c03e48a0a4e986619
%global	shortcommit %(c=%{commit}; echo ${c:0:7})
%define enable_autotools 1

%global		package_version 3.5.3
%global		package_name ovirt-log-collector

Summary:	Log Collector for Red Hat Enterprise Virtualization
Name:		rhevm-log-collector
Version:	3.5.3
Release:	2%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source0:	http://resources.ovirt.org/pub/ovirt-3.5/src/%{package_name}/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	logrotate
Requires:	openssh-clients
Requires:	python
Requires:	python-dateutil
Requires:	python-lxml

Requires:	rhevm-lib
Requires:	rhevm-sdk-python >= 3.5.2.1

BuildRequires:	gettext
BuildRequires:	python2-devel

%if 0%{?enable_autotools}
BuildRequires:	autoconf
BuildRequires:	automake
%endif

%if 0%{?fedora} || 0%{?rhel} >= 7
Requires:	sos >= 3.2
BuildRequires:	sos >= 3
%endif

Patch1:	0001-sos-show-info-about-package-splitting.patch


%description
Log Collector tool for Red Hat Enterprise Virtualization


%if 0%{?rhel}
%if 0%{?rhel} < 7
%package sos-plugins
Summary:	Sos plugins for %{name}
Requires:	sos < 3
Requires:	%{name} >= %{version}-%{release}
BuildRequires:	sos < 3
License:	GPLv2+

%description sos-plugins
This package contains API documentation for %{name}.
%endif
%endif



%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1

%build
%if 0%{?enable_autotools}
autoreconf -ivf
%endif
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhevm-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhevm-log-collector.8


%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/logcollector.conf.d
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_log_collector/
%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhevm-log-collector

%if 0%{?rhel}
%if 0%{?rhel} < 7
%files sos-plugins
%doc AUTHORS
%doc COPYING
%{python_sitelib}/sos/plugins/*.py*
%endif
%endif


%changelog
* Fri Jun 19 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.3-2
- Resolves: BZ#1232377

* Mon May 25 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.3-1
- Resolves: BZ#1218298

* Mon Apr 20 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.3-0.1.master.git8b7826f
- Resolves: BZ#1171179
- Resolves: BZ#1208113
- Resolves: BZ#1210644

* Wed Feb 18 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.1-1
- Rebase on upstream 3.5.1 release
- Resolves: BZ#1175137
- Resolves: BZ#1192945

* Wed Nov 19 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-4
- Resolves: BZ#1165659

* Tue Nov 18 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-3
- CVE-2014-3561
- Resolves: BZ#1162781
- Resolves: BZ#1122790

* Fri Oct 03 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-2
- Resolves: BZ#1086942

* Mon Sep 22 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-1
- Rebase on upstream 3.5.0 release
- Resolves: BZ#1122965

* Fri Aug 22 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.2.master
- Resolves: BZ#1128839
- Resolves: BZ#1128738

* Fri Jul 11 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.0-0.1.ovirtbeta2
- Rebase on upstream beta 2 release
- Resolves: BZ#1115963
- Resolves: BZ#1122965
- Resolves: BZ#1088172

